Magic Trader Cema:
It is a liquor with an unusual flavor, made of ectoplasm. It is definitely an acquired taste, and not many ask for it. It will not fetch a very high price at the village.
But, Lich King Icarus really loves the stuff. The students here know that if you give him a drink of it, he will often shower you with gifts. It has been said that sometimes he even gives away rare items. Most students here try to give him some of the liquor at least once or twice before they graduate.
Return